# Command to build and push builder image (change tags as necessary):
# docker buildx build -f build.Dockerfile -t git.rustybever.be/chewing_bever/rieter-builder:1.79-alpine3.19 --platform linux/amd64,linux/arm64 --push .
FROM rust:1.79-alpine3.19

# Dependencies required to statically compile libarchive and libsqlite3
RUN apk add --no-cache \
        build-base \
        libarchive-static libarchive-dev \
        zlib-static \
        openssl-libs-static \
        bzip2-static \
        xz-static \
        expat-static \
        zstd-static \
        lz4-static \
        acl-static && \
    rustup component add clippy rustfmt

# Tell the libarchive3-sys package to statically link libarchive
ENV LIBARCHIVE_STATIC=1
